View Issue Details

IDProjectCategoryView StatusLast Update
00303182.x IDE BugsCompilingPublic2019-01-31 11:00
ReporterFritzAssigned ToRussell Kay 
PriorityHighSeverityB - MajorReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.0 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030318: Compiling: Changing a macro value isn't reflected correctly in a YYC build unless a clean is done
DescriptionChanging a macro value isn't reflected correctly in a YYC build unless a clean is done.
Steps To ReproduceWith the included project, do a windows YYC run, you will see it prints Blue=5

Edit initmacros to change the value of Blue

Run the project again, it will still print Blue=5

Clean the project & re-run it will print Blue=whatever you set it to
Additional InformationOriginal report in ticket https://yoyogames.zendesk.com/agent/tickets/151986
TagsNo tags attached.
2.x IDE Found In2.2.0.343
2.x Runtime Found In2.2.0.261
2.x IDE Verified In2.2.2.390
2.x Runtime Verified In2.2.2.302

Activities

Fritz

2018-12-12 14:41

Manager  

MacroDependencyTest.yyz (20,821 bytes)

Russell Kay

2018-12-14 14:47

Manager   ~0062250

fixed in gitlab